import { Row, Col } from 'reactstrap'
import SampleBackground from '../../assets/img/sample-bg.jpg';

export default function Step(props) {
    const StepBackgroundImage = props.backgroundImage || SampleBackground
    const stepBackground = {
        backgroundImage: `url(${StepBackgroundImage})`
    };

    return (
        <div className='step-container' style={stepBackground}>
            <div className='step-overlay'>
                {props.contentComponent ? (
                    props.contentComponent
                ) : (
                    <Row style={{height: '100%'}}>
                        <Col md="5" sm="12">
                            {props.informationComponent}
                        </Col>
                        <Col md="7" sm="12">
                            {props.selectionComponent}
                        </Col>
                    </Row>

                )}
            </div>
        </div>
    );
}
