import React from 'react'
import { Container } from 'reactstrap';
import Stepper from '../components/Stepper'
import Header from '../components/Header'

import PlantRepsostory from '../repository/PlantRepository'

export default class MainPage extends React.Component {

    constructor(props) {
        super(props);

        this.state = {
            plants: []
        }
    }

    updatePlants() {
        PlantRepsostory.getPlants().then(response => {
            if (response.status === 200) {
                this.setState({ plants: response.data });
            }
        }).catch(e => {
            this.setState({ plants: ["No plants found."] });
        })
    }

    componentDidMount() {
        this.updatePlants()
    }

    render() {
        return (
            <Container fluid className='main-container p-0'>
                <Header/>
                <Stepper plants={this.state.plants} />
            </Container>
        )
    }

}